SDL_StorageReady(3)

NAME
SDL_StorageReady - Checks if the storage container is ready to use.

SYNOPSIS
#include <SDL3/SDL_storage.h>

bool SDL_StorageReady(SDL_Storage *storage);

DESCRIPTION
This function should be called in regular intervals until it returns true - however, it is not recommended to spinwait on this call, as the backend may depend on a synchronous message loop. You might instead poll this in your game's main loop while processing events and drawing a loading screen.

FUNCTION PARAMETERS

storage
    a storage container to query.

RETURN VALUE
Returns true if the container is ready, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.